# FilterList Class Reference

List of all members.

## Public Member Functions

| FilterList ()
virtual | ~FilterList ()
FilterList & | operator= (FilterList &right)
void | setCombo (TQComboBox *combo, int nIndex)
void | readOptions (TDEConfig *config)
void | saveOptions (TDEConfig *config)

## Protected Member Functions

virtual int | compareItems (TQPtrCollection::Item item1, TQPtrCollection::Item item2)
virtual TQPtrCollection::Item | newItem (TQPtrCollection::Item d)

## Detailed Description

Definition at line 37 of file filterlist.h.

## Member Function Documentation

void FilterList::saveOptions | ( | TDEConfig * | config | ) |

Saves the filter setup into the application config file (kshowmailrc).

Parameters:

  | config | application config

Definition at line 122 of file filterlist.cpp.

Referenced by Filter::saveOptions().

The documentation for this class was generated from the following files:

- kshowmail/filterlist.h
- kshowmail/filterlist.cpp